Daemon Power

The NetBSD Packages Collection: graphics/inkscape

Brief description of the package:
Scalable Vector Graphics (SVG) editor

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://www.inkscape.org/.

Please note that this package has a gnu-gpl-v2 license.

The package is located in the "graphics/inkscape" directory. The current source version of the package is "inkscape-0.92.2nb21". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for graphics/inkscape :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: py27-expat-[0-9]* python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 cwrappers>=20150314 libffi>=1.20 libffi>=3.0.11 readline>=2.2 readline>=6.0 python27>=2.7.1nb2 py27-lxml-[0-9]* py27-setuptools>=0.8 py27-cython>=0.12.1 libxml2>=2.7.8 xmlcatmgr>=2.0beta1 libxml2>=2.6.2 libxslt>=1.1.26 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 libxml2>=2.8.0nb2 docbook-xml-[0-9]* docbook-xsl-[0-9]* docbook-xml>=4.2 perl>=5.0 libxslt>=1.1.8 libxslt>=1.1.28nb2 libcdr>=0.0.6 libwpd>=0.9.5 librevenge>=0.0.1 boost-libs-1.68.* icu>=3.4 icu>=62.1 boost-jam-1.68.* cppunit>=1.10.2 boost-libs>=1.68.0 cppunit>=1.10.2nb5 boost-headers-1.68.* librevenge>=0.0.4nb7 libwpg>=0.1.3 libwpd>=0.10.1nb7 lcms2>=2.2 jpeg>=8nb1 tiff>=3.6.1 jbigkit>=2.0 jpeg>=9 tiff>=4.0.3nb5 libwpg>=0.3.1nb8 libvisio>=0.0.15 gperf-[0-9]* boehm-gc>=6.4 libatomic_ops>=7.4.0<2000 boehm-gc>=7.4 pango>=1.6.0 Xft2>=2.1.7nb3 fontconfig>=2.2 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 fontconfig>=2.10.93 fontconfig>=2.1nb2 Xrender>=0.9.0nb2 x11-links>=1.12 osabi-NetBSD-8.0_RC2 xorgproto>=2016.1 Xrender>=0.2 Xrender>=0.8.2 fontconfig>=2.13.0 Xrender>=0.9.0nb1 Xft2>=2.1 Xft2>=2.1nb2 fontconfig>=2.11.91 Xrender>=0.8 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.33.12 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 pcre>=8.30nb1 glib2>=2.4.0 harfbuzz>=0.9.9 glib2>=2.34.0 harfbuzz>=2.1.1 cairo>=1.12.10 MesaLib>=3.4.2 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 xcb-proto>=1.13 xcb-proto>=1.4 py27-mako-[0-9]* lzo>=2.01 fontconfig>=2.2.95 freetype2>=2.1.9 png>=1.2.4 pixman>=0.30.0 pixman>=0.25.2 MesaLib>=7.11.2 png>=1.6.0nb1 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.16.0 glib2>=2.14.0 Xft2>=2.1.7nb7 cairo-gobject>=1.16.0 help2man-[0-9]* p5-gettext>=1.01 perl>=5.28.0 perl<5.30.0 gobject-introspection>=0.6.14nb1 py27-cElementTree-[0-9]* glib2>=2.54.0 libffi>=3.0.0 gobject-introspection>=1.34.0 popt>=1.7nb3 hicolor-icon-theme>=0.4 libart>=2.3.10nb1 potrace>=1.13 gsl>=1.4 poppler-glib>=0.5.1 openjpeg>=2.1.0 poppler-0.72.0{,nb*} poppler>=0.5.1 poppler>=0.72.0 glib2>=2.41.0 desktop-file-utils>=0.8 aspell>=0.50.3 ncurses>=5.3nb1 ncurses>=6.0 gtkspell>=2.0.13 enchant>=1.1.3 hunspell-en_US-[0-9]* hunspell>=1.2.2 hunspell>=1.7.0 gtk2+>=2.4.0 shared-mime-info>=0.15 atk>=1.30.0 glib2>=2.31.2 atk>=1.11.4 glib2>=2.28.0 gdk-pixbuf2>=2.22.0 glib2>=2.37.2 shared-mime-info>=1.0nb1 xcursor>=1.0 Xfixes>=2.0.0 fixesproto>=3.0.0<5 Xfixes>=2.0.1nb2 xcursor>=1.1.1 Xft2>=2.1.2nb2 libXi>=1.3.0 libXi>=1.0.0 Xrandr>=0.99 Xrandr>=1.0.1 libXcomposite>=0.3.1 pango>=1.20.0 cairo>=1.6.0 atk>=2.6.0 gdk-pixbuf2>=2.34.0nb1 xcursor>=1.1.2nb1 Xrandr>=1.0.2nb3 pango>=1.42.4nb2 gobject-introspection>=0.9.3 enchant>=1.6.0nb5 gtk2+>=2.24.32nb7 gtkmm>=2.22.0 atkmm>=2.22.1 glibmm>=2.24.2 glib2>=2.56.0 libsigc++>=2.9.1 mm-common>=0.9.10 mm-common>=0.9.6 libsigc++>=2.0.3 libsigc++>=2.0.17nb1 glibmm>=2.32.1nb1 pangomm>=2.28.0 pango>=1.41.0 cairomm>=1.2.2 cairo>=1.8 libsigc++>=2.5.1 cairomm>=1.12.2nb3 pangomm>=2.26.2 gtk2+>=2.24.0 atkmm>=2.22.6nb3 pangomm>=2.40.1nb7 libcdr>=0.1.4nb7 libvisio>=0.1.6nb8 popt>=1.16nb1 hicolor-icon-theme>=0.9nb1 libart>=2.3.16nb1 gsl>=1.5nb1 poppler-glib>=0.72.0 desktop-file-utils>=0.10nb1 aspell>=0.60.6nb3 gtkspell>=2.0.16nb29 gtkmm>=2.24.5nb7 poppler-includes>=0.12.2 poppler-includes>=0.22.2 poppler-includes>=0.72.0 .

This package requires the following package(s) to run: py27-expat-[0-9]* python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 python27>=2.7.1nb2 py27-lxml-[0-9]* py27-setuptools>=0.8 py27-cython>=0.12.1 libxml2>=2.7.8 xmlcatmgr>=2.0beta1 libxml2>=2.6.2 libxslt>=1.1.26 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 libxml2>=2.8.0nb2 libxslt>=1.1.8 libxslt>=1.1.28nb2 perl>=5.0 libcdr>=0.0.6 libwpd>=0.9.5 librevenge>=0.0.1 boost-libs-1.68.* icu>=3.4 icu>=62.1 cppunit>=1.10.2 boost-libs>=1.68.0 cppunit>=1.10.2nb5 librevenge>=0.0.4nb7 libwpg>=0.1.3 libwpd>=0.10.1nb7 lcms2>=2.2 jpeg>=8nb1 tiff>=3.6.1 jbigkit>=2.0 jpeg>=9 tiff>=4.0.3nb5 libwpg>=0.3.1nb8 libvisio>=0.0.15 boehm-gc>=6.4 libatomic_ops>=7.4.0<2000 boehm-gc>=7.4 pango>=1.6.0 Xft2>=2.1.7nb3 fontconfig>=2.2 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 fontconfig>=2.10.93 fontconfig>=2.1nb2 Xrender>=0.9.0nb2 Xrender>=0.2 Xrender>=0.8.2 fontconfig>=2.13.0 Xrender>=0.9.0nb1 Xft2>=2.1 Xft2>=2.1nb2 fontconfig>=2.11.91 Xrender>=0.8 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.33.12 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 pcre>=8.30nb1 glib2>=2.4.0 harfbuzz>=0.9.9 glib2>=2.34.0 harfbuzz>=2.1.1 cairo>=1.12.10 MesaLib>=3.4.2 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 lzo>=2.01 fontconfig>=2.2.95 freetype2>=2.1.9 png>=1.2.4 pixman>=0.30.0 pixman>=0.25.2 MesaLib>=7.11.2 png>=1.6.0nb1 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.16.0 glib2>=2.14.0 Xft2>=2.1.7nb7 cairo-gobject>=1.16.0 popt>=1.7nb3 hicolor-icon-theme>=0.4 libart>=2.3.10nb1 potrace>=1.13 gsl>=1.4 poppler-glib>=0.5.1 openjpeg>=2.1.0 poppler-0.72.0{,nb*} poppler>=0.5.1 poppler>=0.72.0 glib2>=2.41.0 desktop-file-utils>=0.8 aspell>=0.50.3 ncurses>=5.3nb1 ncurses>=6.0 gtkspell>=2.0.13 enchant>=1.1.3 hunspell-en_US-[0-9]* hunspell>=1.2.2 hunspell>=1.7.0 gtk2+>=2.4.0 shared-mime-info>=0.15 atk>=1.30.0 glib2>=2.31.2 atk>=1.11.4 glib2>=2.28.0 gdk-pixbuf2>=2.22.0 glib2>=2.37.2 shared-mime-info>=1.0nb1 xcursor>=1.0 Xfixes>=2.0.0 Xfixes>=2.0.1nb2 xcursor>=1.1.1 Xft2>=2.1.2nb2 libXi>=1.3.0 libXi>=1.0.0 Xrandr>=0.99 Xrandr>=1.0.1 libXcomposite>=0.3.1 pango>=1.20.0 cairo>=1.6.0 atk>=2.6.0 gdk-pixbuf2>=2.34.0nb1 xcursor>=1.1.2nb1 Xrandr>=1.0.2nb3 pango>=1.42.4nb2 enchant>=1.6.0nb5 gtk2+>=2.24.32nb7 gtkmm>=2.22.0 atkmm>=2.22.1 glibmm>=2.24.2 glib2>=2.56.0 libsigc++>=2.9.1 libsigc++>=2.0.3 libsigc++>=2.0.17nb1 glibmm>=2.32.1nb1 pangomm>=2.28.0 pango>=1.41.0 cairomm>=1.2.2 cairo>=1.8 libsigc++>=2.5.1 cairomm>=1.12.2nb3 pangomm>=2.26.2 gtk2+>=2.24.0 atkmm>=2.22.6nb3 pangomm>=2.40.1nb7 libcdr>=0.1.4nb7 libvisio>=0.1.6nb8 popt>=1.16nb1 hicolor-icon-theme>=0.9nb1 libart>=2.3.16nb1 gsl>=1.5nb1 poppler-glib>=0.72.0 desktop-file-utils>=0.10nb1 aspell>=0.60.6nb3 gtkspell>=2.0.16nb29 gtkmm>=2.24.5nb7 .

This package supports the following build-time options:

gnome
Enable GNOME support.

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
earmv6hf:inkscape-0.91nb9.tgz(NetBSD 7.0)
earmv6hf:inkscape-0.92.1nb10.tgz(NetBSD 8.0)
earmv7hf:inkscape-0.91nb9.tgz(NetBSD 7.0)
earmv7hf:inkscape-0.92.2nb5.tgz(NetBSD 8.0)
i386:inkscape-0.92.2.tgz(NetBSD 7.0)
i386:inkscape-0.92.2.tgz(NetBSD 7.1)
i386:inkscape-0.92.2nb17.tgz(NetBSD 8.0)
i386:inkscape-0.92.2.tgz(NetBSD 8.0)
i386:inkscape-0.92.2nb5.tgz(NetBSD 8.0)
i386:inkscape-0.92.2nb12.tgz(NetBSD 8.0)
powerpc:inkscape-0.92.2nb12.tgz(NetBSD 8.0)
powerpc:inkscape-0.92.2nb5.tgz(NetBSD 8.0)
powerpc:inkscape-0.92.2nb17.tgz(NetBSD 8.0)
x86_64:inkscape-0.92.2.tgz(NetBSD 7.0)
x86_64:inkscape-0.92.1nb4.tgz(NetBSD 7.0.1_PATCH)
x86_64:inkscape-0.92.2.tgz(NetBSD 7.1)
x86_64:inkscape-0.92.2nb17.tgz(NetBSD 8.0)
x86_64:inkscape-0.92.2.tgz(NetBSD 8.0)
x86_64:inkscape-0.92.2nb5.tgz(NetBSD 8.0)
x86_64:inkscape-0.92.2nb12.tgz(NetBSD 8.0)
x86_64:inkscape-0.92.1nb6.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]